Summary: PhpMyAdmin for SME server
%define name smeserver-phpmyadmin-multiuser
Name: %{name}
%define version 2.11.3
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 7
AutoReqProv: no

%changelog
* Wed Dec  13 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.11.3

* Fri Nov  23 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.11.2.2

* Tue Nov  13 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.11.2.1
 
* Mon Oct  29 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.11.2

* Mon Oct  22 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phmyadmin 2.11.1.2

* Sat Sep  22 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to phpmyadmin 2.11.1

* Mon Aug  27 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to phpmyadmin 2.11.0
- Add all available themes

* Wed Jul  25 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to phpmyadmin 2.10.3

* Mon Jun  18 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to phpmyadmin 2.10.2
- Adding redirection from http to https
- Securing httpd.conf configuration
- Adding ability to limit access to internal network - That's the default option!

* Thu May  24 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.10.1

* Sun Mar  04 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.10.0.2

* Thu Jan  18 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.9.2

* Wed Jan  10 2007 Michel Van hees <michel@vanhees.cc>
- Template move

* Mon Nov  20 2006 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.9.1.1

* Fri Nov  17 2006 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.9.1

* Fri Nov  03 2006 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin version 2.9.0.3

* Sun Oct  29 2006 Michel Van hees <michel@vanhees.cc>
- update contrib to last version of phpmyadmin

* Sat Jun  06 2006 Michel Van hees <mvanhees@vanhees.homeip.net>
- initial release

%description
SME server - phpmyadmin multiuser for smeserver

%prep
%setup
#%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
/sbin/e-smith/db accounts set phpmyadminmulti reserved

%preun

%post
/sbin/e-smith/db configuration set phpmyadminmulti service
/sbin/e-smith/db configuration setprop phpmyadminmulti access private

/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
service httpd-e-smith sigusr1

if [ $1 = 1 ] ; then
  mysql --execute="grant all privileges on *.* to admin@localhost identified by 'admin' WITH GRANT OPTION"
  mysql --execute="flush privileges"
fi

case "${LANG:0:2}" in
    fr)
        echo ""
        echo "Vous pouvez maintenant acceder  phpmyadmin via un browser web de la maniere suivante https://nom_server/myadmin"
        echo "Vous pourrez vous loger sous admin avec comme mot de pass admin. N'oublier pas de le changer!"
        echo "Si vous mettez  jour une version 2.1 ou suprieur, le mot de passe admin n'aura pas changer!"
        echo ""
        echo "Attention !!!!!"
        echo "PHPMyadmin est limit en accs au rseau interne, donc pas depuis internet"
        echo "Vous pouvez changer cette option avec les commandes :"
        echo "db configuration setprop phpmyadminmulti access public"
        echo "signal-events console-save"
        echo ""
    ;;
    *)
        echo ""
        echo "Now you can access phpmyadmin though your browser at  https://server_name/myadmin"
        echo "You can connect using login admin and password admin. Don't forget to change it"
        echo "If you update a 2.1 version of this contribs, admin password don't change!"
        echo ""
        echo "BEWARE !!!"
        echo "PHPMyadmin is now limited to internal network, so it couldn't be access from internet"
        echo "You can change this with the following command :"
        echo "db configuration setprop phpmyadminmulti access public"
        echo "signal-events console-save"
        echo ""
    ;;
esac

%postun
/sbin/e-smith/db configuration delete phpmyadminmulti
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/sbin/e-smith/db accounts delete phpmyadminmulti
service httpd-e-smith sigusr1
if [ $1 = 0 ] ; then
  mysql --execute="delete from mysql.user where User='admin'"
  mysql --execute="flush privileges"
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
